=== debian/control ===
Source: gcc-arm-none-eabi
Section: devel
Priority: extra
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, m4, libtool,
        autoconf2.64, zlib1g-dev, gawk, lzma, xz-utils, patchutils,
	bison, flex, gettext, texinfo, locales, sharutils, zlib1g-dev,
	libmpfr-dev, libmpc-dev, libgmp-dev,
	dejagnu, autogen, lsb-release, gcc-4.8-source,
	binutils-arm-none-eabi,
	autotools-dev
Standards-Version: 3.9.4
Homepage: http://keithp.com/
X-Python-Version: >= 2.7

Package: gcc-arm-none-eabi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-arm-none-eabi
Description: GCC compiler for ARM cortex -m0 and -m3 chips
 Bare metal compiler for embedded ARM chips using the cortex-m0 and
 cortex-m3 architecture
