## gcc-arm-none-eabi 4.9.3+svn227297

=== debian/changelog ===
gcc-arm-none-eabi (15:4.9.3+svn227297-1) unstable; urgency=medium

  * Convert package from 3.0(native) to 3.0(quilt) (Closes: #791541)
    - Add get-orig-source target
    - Update and rename patches for new upstream version
    - Rewrite debian/rules
  * Imported Upstream version 4.9.3+svn227018

 -- Agustin Henze <tin@debian.org>  Thu, 27 Aug 2015 16:20:50 -0300

gcc-arm-none-eabi (14) unstable; urgency=medium

  * Update 0001-Add-GNU-ARM-embedded-toolchain-patches.patch to embedded 4.9
    branch
  * Add big endian multilib support
  * Switch to dpkg-source 3.0 (native) format

 -- Agustin Henze <tin@debian.org>  Thu, 21 May 2015 09:01:08 -0300

gcc-arm-none-eabi (13) experimental; urgency=medium

  [ Thomas Preud'homme ]
  * New upstream release: 4.9-2014-q4-major.
  * Remove debian/gcc-plugins as tree-switch-shortcut is now added to GCC
    source by GCC embedded patch.
  * debian/debian_patches.txt: remove arm-sanitizer.diff and pr49847.diff as
    they were applied upstream.
  * debian/rules:
    + remove recipe to compile tree-switch-shortcut as a plugin
    + set major GCC version to 4.9
  * debian/control: build-depend on gcc-4.9-source instead of gcc-4.8-source.

  [ Agustin Henze ]
  * debian/rules:
    + Fix Built-Using field
    + Fix hardening flags and enable stackprotectorstrong

 -- Agustin Henze <tin@debian.org>  Sat, 10 Jan 2015 14:41:15 -0300

gcc-arm-none-eabi (12) experimental; urgency=medium

  [ Thomas Preud'homme ]
  * New upstream release: 4.8-2014-q3-update.
  * Modify patching so that patches can be version independent.

  [ Agustin Henze ]
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Mon, 01 Dec 2014 10:30:31 -0300

gcc-arm-none-eabi (11) unstable; urgency=medium

  * Track GCC embedded branch.
  * Enable plugin support and add tree_switch_shortcut_elf plugin.
  * Add myself to uploaders.
  * Add somes examples.
  * Take build flags from dpkg-buildflags.
  * Include upstream readme.txt in the documentation.

 -- Thomas Preud'homme <thomas.preudhomme@arm.com>  Mon, 18 Aug 2014 02:52:23 +0000

gcc-arm-none-eabi (10) unstable; urgency=medium

  * Rebuilt using current gcc (Closes: #751311)

 -- Agustin Henze <tin@debian.org>  Wed, 06 Aug 2014 17:15:42 -0300

gcc-arm-none-eabi (9) unstable; urgency=medium

  * Fix Built-Using field, was missing pass as parameter to dh_gencontrol
  * Run dh-autoreconf to update config (Closes: #744575)
  * Update patches to the new gcc version 4.8.3 (Closes: #750251)

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 13:51:21 -0300

gcc-arm-none-eabi (8) unstable; urgency=medium

  * Fix multilib, thanks Keith! :)
  * Add Built-Using field

 -- Agustin Henze <tin@debian.org>  Tue, 25 Feb 2014 08:55:46 -0300

gcc-arm-none-eabi (7) unstable; urgency=medium

  * Applying debian patches (Closes: #739009)

 -- Agustin Henze <tin@debian.org>  Wed, 19 Feb 2014 19:28:54 -0300

gcc-arm-none-eabi (6) unstable; urgency=medium

  * Remove as and ld hardcoded. Thanks to Mateusz Kaduk (Closes: #734577)
  * Remove interwork
  * Add missing build dependencies

 -- Agustin Henze <tin@debian.org>  Wed, 15 Jan 2014 14:07:07 -0300

gcc-arm-none-eabi (5) unstable; urgency=medium

  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Enable c++ support. Thanks to Karl Lenz <xorangekiller@gmail.com>
    (Closes: #733580, #732974)
  * Swap Maintainer by Uploaders
  * Add Vcs* fields
  * Enable LTO (Link Time Optimization) (Closes: #734055)
  * Fix installchangelogs and strip targets

 -- Agustin Henze <tin@debian.org>  Fri, 03 Jan 2014 14:12:31 -0300
