## gcc-arm-none-eabi 4.9.3+svn231177

=== debian/changelog ===
gcc-arm-none-eabi (15:4.9.3+svn231177-1) unstable; urgency=medium

  * Imported Upstream version 4.9.3+231177
  * Rebuild against libisl15 (Closes: #806391)
  * Update package description

 -- Agustin Henze <tin@debian.org>  Wed, 02 Dec 2015 13:43:50 -0300
