## gcc-arm-none-eabi 6.3.1%2Bsvn253039

=== debian/control ===
Source: gcc-arm-none-eabi
Section: devel
Priority: extra
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Keith Packard <keithp@keithp.com>,
           Thomas Preud'homme <thomas.preudhomme@arm.com>
Build-Depends:
 autoconf2.64,
 autogen,
 autotools-dev,
 binutils-arm-none-eabi,
 bison,
 debhelper (>= 9.0.0),
 dh-autoreconf,
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 libisl-dev,
 libcloog-isl-dev,
 subversion,
 rename,
 pxz,
Standards-Version: 4.0.0
Homepage: http://gcc.gnu.org/
X-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gcc-arm-none-eabi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcc-arm-none-eabi.git

Package: gcc-arm-none-eabi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-arm-none-eabi
Recommends: libnewlib-arm-none-eabi
Description: GCC cross compiler for ARM Cortex-A/R/M processors
 Bare metal compiler for embedded ARM chips using Cortex-M, Cortex-R and
 Cortex-A processors.
 This package is based on the GNU ARM toolchain provided by ARM.

Package: gcc-arm-none-eabi-source
Architecture: all
Depends: ${misc:Depends}
Description: GCC cross compiler for ARM Cortex-A/R/M processors (source)
 Bare metal compiler for embedded ARM chips using Cortex-M, Cortex-R and
 Cortex-A processors.
 This package is based on the GNU ARM toolchain provided by ARM.
 .
 This package contains the sources and patches which are needed
 to build the GNU Compiler Collection (GCC) for embedded ARM chips.
