## gcc-arm-none-eabi 6.3.1+svn253039

=== debian/changelog ===
gcc-arm-none-eabi (15:6.3.1+svn253039-1build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:20:24 +0000

gcc-arm-none-eabi (15:6.3.1+svn253039-1) unstable; urgency=medium

  * Bumped Standard-Version to 4.0.0 (no changes required)
  * Use secure urls for VCS fields
  * Remove ada's doc, dfsg
  * Using pkg-info.mk instead of parsing changelog by hand

 -- Agustin Henze <tin@debian.org>  Wed, 20 Sep 2017 19:29:25 -0300

gcc-arm-none-eabi (15:6.3.1+svn251940-1) unstable; urgency=medium

  * Updated version 6.3.1+svn251940 from 'upstream/6.3.1+svn251940'
  * Update gfdl and big-endian-support patches
  * Remove armv8 support see https://bugs.launchpad.net/gcc-arm-embedded/+bug/1717502
  * Add missing b-dependency on `rename`
  * Use pxz to build source package
  * Explicit multilib option for little-endian
  * Fix multilib reuse rule for big-endian

 -- Agustin Henze <tin@debian.org>  Mon, 11 Sep 2017 08:55:44 -0300
