## gcc-arm-none-eabi 7-2018-q2

=== debian/changelog ===
gcc-arm-none-eabi (15:7-2018-q2-6) unstable; urgency=medium

  * Remove b-dependencies on libisl-0.18-dev and libcloog-isl-dev
    (Closes: #921854)

 -- Agustin Henze <tin@debian.org>  Mon, 11 Feb 2019 06:31:54 +0000

gcc-arm-none-eabi (15:7-2018-q2-5) unstable; urgency=medium

  * Remove source dependency on pxz and depend on xz-utils instead (Closes:
    #919934).

 -- Agustin Henze <tin@debian.org>  Mon, 28 Jan 2019 15:37:32 +0000

gcc-arm-none-eabi (15:7-2018-q2-4) unstable; urgency=medium

  * Add debian/watch file
  * Fix FTBFS on ppc64el applying an upstream patch

 -- Agustin Henze <tin@debian.org>  Sat, 22 Sep 2018 12:19:20 +0200

gcc-arm-none-eabi (15:7-2018-q2-3) unstable; urgency=medium

  * Fix empty gcc-arm-none-eabi-source package

 -- Agustin Henze <tin@debian.org>  Mon, 13 Aug 2018 09:19:35 +0200

gcc-arm-none-eabi (15:7-2018-q2-2) unstable; urgency=medium

  * Fix (autopkg)tests
  * Breaks with old newlib-arm-none-eabi and libstdc++-arm-none-eabi-newlib

 -- Agustin Henze <tin@debian.org>  Sun, 12 Aug 2018 13:06:21 +0200

gcc-arm-none-eabi (15:7-2018-q2-1) unstable; urgency=medium

  * New upstream version 7-2018-q2
  * Stop packaging from svn, repack upstream tarball using a custom script
  * Update package description indicating it delivers the C++ compiler.
    Thanks to Nicolas Cavallari <batchman@free.fr> (Closes: #884979)

 -- Agustin Henze <tin@debian.org>  Sat, 11 Aug 2018 18:16:56 +0200

gcc-arm-none-eabi (15:6.3.1+svn253039-2) unstable; urgency=medium

  [ Agustin Henze ]
  * Use specific version libisl-0.18-dev
  * Replace the deprecated priority extra for optional
  * Bump Standards-Version to 4.2.0 (No changes needed)
  * Update upstream Homepage
  * Remove obsolete X-Python-Version
  * Update Vcs-* fields pointing to salsa
  * Remove `--with autotools-dev`, it's run by default
  * Add test for autopkgtest

 -- Agustin Henze <tin@debian.org>  Fri, 10 Aug 2018 19:10:08 +0200
