=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,9 @@
 TARGET=arm-none-eabi
 TOP_DIR=$(shell pwd)
 
-DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d ":" -f 2 | cut -d "-" -f 1)
-SVN_REVISION := $(shell echo $(DEB_VERSION) | grep -oP "svn\K([0-9]+)")
-GBP_DO_NOT_REMOVE_SRC_PREPEND_FOLDER=$(TOP_DIR)/../.do_not_remove_src_prepend_folder
-GCC_CHECKOUT_SOURCE_DIR=$(TOP_DIR)/../src
+UPSTREAM_URL=https://developer.arm.com/-/media/Files/downloads/gnu-rm/7-2018q2/gcc-arm-none-eabi-7-2018-q2-update-src.tar.bz2
 GCC_BUILD_DIR=$(TOP_DIR)/build
-GCC_SOURCE_DIR=$(TOP_DIR)/src
+GCC_SOURCE_DIR=$(TOP_DIR)
 GCC_DEB_TMP_DIR=$(TOP_DIR)/debian/$(PACKAGE_GCC)-tmp
 GCC_DOC_TEXI_LEGEND_DIR=$(TOP_DIR)/../texi_legend.txt
 GCC_SOURCE_DEB_TMP_DIR=$(TOP_DIR)/debian/$(PACKAGE_GCC_SOURCE)-tmp
@@ -71,7 +68,7 @@
 	$(TARGET_TOOLS)
 
 %:
-	dh $@ -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) --with autotools-dev --parallel --with autoreconf
+	dh $@ -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) --parallel --with autoreconf
 
 override_dh_autoreconf:
 	autoreconf2.64 -f $(GCC_SOURCE_DIR)
@@ -100,39 +97,15 @@
 override_dh_install:
 	dh_install -p$(PACKAGE_GCC) --sourcedir $(GCC_DEB_TMP_DIR)
 	mkdir -p $(GCC_SOURCE_DEB_TMP_DIR)/usr/src
-	tar -C $(TOP_DIR) -c -f - src | pxz > $(GCC_SOURCE_DEB_TMP_DIR)/usr/src/$(PACKAGE_GCC_SOURCE).tar.xz
+	tar --exclude=build --exclude=.git --exclude=debian -C $(TOP_DIR) -c -f - . | xz -T0 > $(GCC_SOURCE_DEB_TMP_DIR)/usr/src/$(PACKAGE_GCC_SOURCE).tar.xz
 	dh_install -p$(PACKAGE_GCC_SOURCE) --sourcedir $(GCC_SOURCE_DEB_TMP_DIR)
 
 override_dh_compress:
 	dh_compress -Xexamples/
 
 get-orig-source:
-	svn co svn://gcc.gnu.org/svn/gcc/branches/ARM/embedded-6-branch@$(SVN_REVISION) $(GCC_CHECKOUT_SOURCE_DIR)
-	echo "Please refer to the documentation of the gcc package" > $(GCC_DOC_TEXI_LEGEND_DIR)
-	find $(GCC_CHECKOUT_SOURCE_DIR) -name "*.texi" -exec cp $(GCC_DOC_TEXI_LEGEND_DIR) \{\} \;
-	touch $(GBP_DO_NOT_REMOVE_SRC_PREPEND_FOLDER)
-	tar -C $(GCC_CHECKOUT_SOURCE_DIR)/.. -c --xz \
-		--exclude=".svn" \
-		--exclude="libffi" \
-		--exclude="libgomp" \
-		--exclude="libquadmath" \
-		--exclude="libssp" \
-		--exclude="libada" \
-		--exclude="libgfortran" \
-		--exclude="libcilkrts" \
-		--exclude="libgo" \
-		--exclude="libjava" \
-		--exclude="zlib" \
-		--exclude="gcc/testsuite/ada" \
-		--exclude="gcc/testsuite/gfortran.dg" \
-		--exclude="gcc/testsuite/gfortran.fortran-torture" \
-		--exclude="gcc/testsuite/go.dg" \
-		--exclude="gcc/testsuite/go.go-torture" \
-		--exclude="gcc/testsuite/go.test" \
-		--exclude="gcc/testsuite/objc" \
-		--exclude="gcc/testsuite/obj-c++.dg" \
-		--exclude="gcc/testsuite/objc.dg" \
-		--exclude="gcc/testsuite/objc-obj-c++-shared" \
-		--exclude="gcc/ada/doc" \
-		-f ../$(PACKAGE_GCC)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(GCC_CHECKOUT_SOURCE_DIR) $(GBP_DO_NOT_REMOVE_SRC_PREPEND_FOLDER)
-	svn revert --recursive $(GCC_CHECKOUT_SOURCE_DIR)
+	# This is just temporary, a Debian friendly way was already reported to
+	# upstream here
+	# https://answers.launchpad.net/gcc-arm-embedded/+question/671738
+	wget $(UPSTREAM_URL) -O ../gcc-arm-none-eabi-7-2018-q2-update-src.tar.bz2
+	python3 debian/repack-upstream.py ../gcc-arm-none-eabi-7-2018-q2-update-src.tar.bz2 ../gcc-arm-none-eabi_$(DEB_VERSION_UPSTREAM).orig.tar.xz
