## gcc-arm-none-eabi 8-2019-q3

=== debian/changelog ===
gcc-arm-none-eabi (15:8-2019-q3-1) unstable; urgency=medium

  [ Joaquin de Andres ]
  * New upstream version 8-2019-q3
  * Adapt repack script for direct use by uscan.
  * Update ci config to new pipeline definitions
  * Add patch for isl >= 0.20
  * Delete patch that is not needed any more.

  [ Agustin Henze ]
  * Add missing b-dependency on libisl-dev.
    Thanks to Matthias Klose <doko@debian.org> (Closes: #922041)

 -- Joaquin de Andres <xcancerberox@gmail.com>  Sun, 21 Jul 2019 00:55:22 -0300
