=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  subversion,
  rename,
  xz-utils,
+ libisl-dev,
 Standards-Version: 4.2.0
 Homepage: https://developer.arm.com/open-source/gnu-toolchain/gnu-rm
 Vcs-Git: https://salsa.debian.org/debian/gcc-arm-none-eabi.git
