=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	--disable-nls \
 	--disable-shared \
 	--disable-threads \
-	--disable-tls \
+	--enable-tls \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--target=$(TARGET) \
 	--with-system-zlib \
