## gcc-arm-none-eabi 9-2019-q4

=== debian/changelog ===
gcc-arm-none-eabi (15:9-2019-q4-0ubuntu1) focal; urgency=medium

  * New upstream version 9-2019-q4

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Mar 2020 10:44:57 +0100
