=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Keith Packard <keithp@keithp.com>,
            Thomas Preud'homme <thomas.preudhomme@arm.com>
 Build-Depends:
- autoconf2.64,
+ autoconf,
  autogen,
  autotools-dev,
  binutils-arm-none-eabi,
