=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	dh $@ -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) --parallel --with autoreconf
 
 override_dh_autoreconf:
-	autoreconf2.64 -f $(GCC_SOURCE_DIR)
+	autoreconf -f $(GCC_SOURCE_DIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) -- $(CONFIGURE_GCC_FLAGS)
