## gcc-arm-none-eabi 10.3-2021.07

=== debian/changelog ===
gcc-arm-none-eabi (15:10.3-2021.07-3) unstable; urgency=medium

  * Remove gcc-arm-none-eabi-source package. Why did this exist?

 -- Keith Packard <keithp@keithp.com>  Mon, 08 Nov 2021 18:42:32 -0800

gcc-arm-none-eabi (15:10.3-2021.07-2) unstable; urgency=medium

  * debian/rules: Generate tarball reproducibly. (Closes: #996194)

  * debian/rules: Pass variables to configure to make the package
    build reproducibly regardless of usrmerge. (Closes: #996572)

  * debian/control: Set Rules-Requires-Root to "no". (Closes: #996573)

  * debian/control: mark gcc-arm-none-eabi Multi-Arch:
    foreign. (Closes: #960166)

 -- Keith Packard <keithp@keithp.com>  Fri, 29 Oct 2021 10:56:10 -0700

gcc-arm-none-eabi (15:10.3-2021.07-1) unstable; urgency=medium

  * New upstream version 10.3-2021.07

 -- Keith Packard <keithp@keithp.com>  Mon, 04 Oct 2021 14:17:30 -0700

gcc-arm-none-eabi (15:10-2020-q4-major-2) unstable; urgency=medium

  * Add aprofile to multilib list

 -- Keith Packard <keithp@keithp.com>  Wed, 29 Sep 2021 12:47:05 -0700

gcc-arm-none-eabi (15:10-2020-q4-major-1) unstable; urgency=medium

  [ Keith Packard]
  * New upstream version 10-2020-q4-major

 -- Keith Packard <keithp@keithp.com>  Wed, 14 Jul 2021 17:21:50 -0700
