=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-MULTILIB_LIST="--with-multilib-list=rmprofile"
+MULTILIB_LIST="--with-multilib-list=rmprofile,aprofile"
 
 PACKAGE_GCC=gcc-arm-none-eabi
-PACKAGE_GCC_SOURCE=gcc-arm-none-eabi-source
 TARGET=arm-none-eabi
 TOP_DIR=$(shell pwd)
 
@@ -15,7 +14,6 @@
 GCC_SOURCE_DIR=$(TOP_DIR)
 GCC_DEB_TMP_DIR=$(TOP_DIR)/debian/$(PACKAGE_GCC)-tmp
 GCC_DOC_TEXI_LEGEND_DIR=$(TOP_DIR)/../texi_legend.txt
-GCC_SOURCE_DEB_TMP_DIR=$(TOP_DIR)/debian/$(PACKAGE_GCC_SOURCE)-tmp
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=-format
 BUILDFLAGS:=$(shell dpkg-buildflags --export=configure) INHIBIT_LIBC_CFLAGS="-DUSE_TM_CLONE_REGISTRY=0"
@@ -65,13 +63,17 @@
 	--without-newlib \
 	$(MULTILIB_LIST) \
 	$(BUILDFLAGS) \
-	$(TARGET_TOOLS)
+	$(TARGET_TOOLS) \
+	SED=/bin/sed \
+	SHELL=/bin/sh \
+	BASH=/bin/bash \
+	CONFIG_SHELL=/bin/bash \
 
 %:
 	dh $@ -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) --parallel --with autoreconf
 
 override_dh_autoreconf:
-	autoreconf -f $(GCC_SOURCE_DIR)
+	autoreconf2.69 -f $(GCC_SOURCE_DIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -D$(GCC_SOURCE_DIR) -B$(GCC_BUILD_DIR) -- $(CONFIGURE_GCC_FLAGS)
@@ -96,9 +98,6 @@
 
 override_dh_install:
 	dh_install -p$(PACKAGE_GCC) --sourcedir $(GCC_DEB_TMP_DIR)
-	mkdir -p $(GCC_SOURCE_DEB_TMP_DIR)/usr/src
-	tar --exclude=build --exclude=.git --exclude=debian -C $(TOP_DIR) -c -f - . | xz -T0 > $(GCC_SOURCE_DEB_TMP_DIR)/usr/src/$(PACKAGE_GCC_SOURCE).tar.xz
-	dh_install -p$(PACKAGE_GCC_SOURCE) --sourcedir $(GCC_SOURCE_DEB_TMP_DIR)
 
 override_dh_compress:
 	dh_compress -Xexamples/
